Repozytoria

Ogólne pytania dotyczące systemu
akro
Posty: 17
Rejestracja: 22 maja 2008, 19:28

Repozytoria

Post autor: akro » 22 maja 2008, 19:31

Witam, potrzebuje repozytoriów do Debiana 4.0, nigdzie nie moge znalesc.
A takie pytanie mam czy repozytoria debiana zadziałają w ubuntu albo te z ubuntu w debianie?

Awatar użytkownika
ruun
Member
Posty: 1366
Rejestracja: 29 marca 2007, 21:07
Lokalizacja: Kruszwica

Post autor: ruun » 22 maja 2008, 19:45

Spis repozytorii jest tu: http://debian.linux.pl/viewforum.php?f=18
akro pisze:A takie pytanie mam czy repozytoria debiana zadziałają w ubuntu albo te z ubuntu w debianie?
Mogą wystąpić problemy. Dlaczego chcesz tak kombinować?

gizmus2006
Posty: 7
Rejestracja: 22 maja 2008, 19:42
Lokalizacja: Łódź

Post autor: gizmus2006 » 22 maja 2008, 19:48

Kod: Zaznacz cały

deb [url]http://ftp.pl.debian.org/debian/[/url] lenny main non-free contrib
deb-src [url]http://ftp.pl.debian.org/debian/[/url] lenny main non-free contrib
deb [url]http://security.debian.org/[/url] lenny/updates main contrib non-free
deb-src [url]http://security.debian.org/[/url] lenny/updates main contrib non-free
deb [url]http://www.kadu.net/download/binary/debian/repo/[/url] stable main
deb-src [url]http://www.kadu.net/download/binary/debian/repo/[/url] stable main
deb [url]http://www.debian-multimedia.org/[/url] etch main
deb-src [url]http://www.debian-multimedia.org/[/url] etch main
deb [url]http://download.tuxfamily.org/shames/debian-sid/desktopfx/unstable/[/url] ./
to moje repo z przed paru dni niestety z lennego, ale wystarczy, że zmienisz tam gdzie lenny na etch i powinno działać
a na pytanie drugie odopowiem tak: akktualnie mam ubu 8.04 i cześć repozytoriów(np debian multimedia) jest właśnie z Debiana. narazie działa i wydaje mi sie że jeśli zmienisz repo zainstalujesz, co trzeba z tego nowego i wrócisz znów na to stare to nie powinno być wiekszych kłopotów. jestem świerzakiem wiec mogę sie mylić oczywiście.

Bodzio
Junior Member
Posty: 599
Rejestracja: 26 grudnia 2007, 18:35

Post autor: Bodzio » 22 maja 2008, 19:52

akro pisze:A takie pytanie mam czy repozytoria debiana zadziałają w ubuntu albo te z ubuntu w debianie?
Tak jak kolega napisał - w zależności od ilości i ważności pakietów kłopoty wystąpią prawie na pewno. Zawsze mnie dziwi, że w Debianie ludzie kombinują, zamiast postawić system i używać :) - pomyśl - jak zainstalowałeś Windowsa to grzecznie czekasz na aktualizacje Microsoftu i nie kombinujesz :-P

Bodzio
Junior Member
Posty: 599
Rejestracja: 26 grudnia 2007, 18:35

Post autor: Bodzio » 22 maja 2008, 19:57

gizmus2006 pisze:ale wystarczy, że zmienisz tam gdzie lenny na etch
gizmus2006 pisze:jestem świerzakiem wiec mogę sie mylić oczywiście.
no właśnie :evil: nie wprowadzaj kolegi w błąd - lenny to testing, a Ty mu każesz downgradować w dół

akro
Posty: 17
Rejestracja: 22 maja 2008, 19:28

Post autor: akro » 22 maja 2008, 19:59

ja nie kombinuje tylko wiadomo ze ubuntu jest pochodnym debiana wiec myslalełem ze te repo mogą zadziałać.

Awatar użytkownika
ruun
Member
Posty: 1366
Rejestracja: 29 marca 2007, 21:07
Lokalizacja: Kruszwica

Post autor: ruun » 22 maja 2008, 20:02

http://pl.wikipedia.org/wiki/Debian

Przeczytaj fragment "Gałęzie dystrybucji".

Bodzio
Junior Member
Posty: 599
Rejestracja: 26 grudnia 2007, 18:35

Post autor: Bodzio » 22 maja 2008, 20:05

etch to wersja stabilna. Praktycznie nic się w niej nie zmienia poza pakietami bezpieczeństwa. Lenny to testing. Do tej gałęzi przechodzą pakiety z wersji Sid - niestabilnej. Pakiety jeśli skrótowo mówiąc nie wykażą błędów w działaniu i zależnościach trafiają do testing. Co jakieś 4 lata :mrgreen: wersja testing staje się wersją stabilną. Na co dzień większość z nas używa testinga lub sida.
W Ubuntu pakiety w większości są najnowsze - coś jak wersja experymantalna z Debiana. Ale ciągnie to za sobą ryzyko zrobienia bubu w systemie. I często się to dzieje

gizmus2006
Posty: 7
Rejestracja: 22 maja 2008, 19:42
Lokalizacja: Łódź

Post autor: gizmus2006 » 22 maja 2008, 20:36

no właśnie :evil: nie wprowadzaj kolegi w błąd - lenny to testing, a Ty mu każesz downgradować w dół
Przecież on chce mieć etcha nie lennego wiec nie downgradować.
Poza tym Ubuntu przechodzi półroczne testy zanim ukaże się wydanie "stabilne" wiec porównanie do experimental mało trafne.
co do kombinowania rzeczywiście niesie to spore ryzyko ale nie zawsze postawionego Debiana można od razu używać
a bubu w Ubuntu jest ciężko zrobić. Jednym słowem należy zachować zdrowy rozsądek.

pavbaranov
Senior Member
Posty: 2156
Rejestracja: 29 lipca 2007, 18:06

Post autor: pavbaranov » 22 maja 2008, 21:10

Zdrowym rozsądkiem jest... niedołączanie repo *buntu do debianowych. Szczególnie do Etcha. Oczywiście *buntu jest oparte na Debianie, ale pomysł połączenia obu dystrybucji spowoduje, że - prawdopodobnie - system się rozleci szybciej niż to warte. Pakiety z *buntu mają niekiedy inne zależności niż te w Debianie, szczególnie jeśli doda się repozytorium Hardy Herona do Etcha, bo przecież te wersje dzielą już lata świetlne.
Nawet poszczególne paczki robione pod *buntu nie zawsze zadziałają w Debianie.
BTW: Istnieje projekt, który portuje programy z Ubuntu na Debiana, o ile pamiętam pod nazwą Untubu ;)
Jeśli chodzi o mieszanie dystrybucji, to z mojego doświadczenia wynika, że jedynie Sid z Siduksem dość dobrze współpracują, ale już np. Lenny z Siduksem zdecydowanie gorzej. Zdaje się, że podobnie jest z Kannotiksem i innymi dystrybucjami pochodnymi, choć im bliżej do oryginalnego Debiana niż *buntu.
Jeśli ktoś chce mieć świeższe programy niż w wersji Etch ma do wyboru Lenny, Sida, czy nawet Siduksa. Jeśli zależy mu na kreatorach, to do wyboru ma... *buntu (no, ewentualnie Siduksa, ale tu ograniczona jest ich ilość; ja go stosuję głównie z uwagi na fakt, że poprawki kernela pojawiają się tu zdecydowanie szybciej niż w Debianie i to nawet w wersji Sid) oraz SimpleMEPISa. Oczywiście jeśli mowa o systemach debianowych.

ODPOWIEDZ